This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 975848 - Support java property references in custom cache store properties
Support java property references in custom cache store properties
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.2.0
Assigned To: Tristan Tarrant
nobody nobody
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 08:57 EDT by Michal Linhard
Modified: 2014-03-17 00:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Linhard 2013-06-19 08:57:14 EDT
To allow stuff like this:

<store class="org.infinispan.loaders.leveldb.LevelDBCacheStore" passivation="false" purge="false">
  <property name="location">target/leveldb/data-default-${jboss.node.name}</property>
  <property name="expiredLocation">target/leveldb/expired-default-${jboss.node.name}</property>
</store>

(note the reference to ${jboss.node.name} property)

Note You need to log in before you can comment on or make changes to this bug.